//Modified Hello-World to launch a new Terminal instead of showing Hello World
const St = imports.gi.St;
const Main = imports.ui.main;
const Shell = imports.gi.Shell;

let button;

function _startTerminal() {
    let app = Shell.AppSystem.get_default().lookup_app('gnome-terminal.desktop');
    app.open_new_window(-1);
}

function init() {
    button = new St.Bin({ style_class: 'panel-button',
                          reactive: true,
                          can_focus: true,
                          x_fill: true,
                          y_fill: false,
                          track_hover: true });
    let icon = new St.Icon({ icon_name: 'utilities-terminal',
                             icon_type: St.IconType.SYMBOLIC,
                             style_class: 'system-status-icon' });

    button.set_child(icon);
    button.connect('button-press-event', _startTerminal);
}

function enable() {
    Main.panel._rightBox.insert_actor(button, 0);
}

function disable() {
    Main.panel._rightBox.remove_actor(button);
}

